<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Node.js News</title>
    <link rel="stylesheet" href="/css/style.css" />
    <link
      href="https://fonts.googleapis.com/css2?family=Source+Sans+Pro&display=swap"
      rel="stylesheet"
    />
  </head>
  <body>
    <header class="header">
      <div class="header__logo">Node.Js News</div>
      <%- include('./partials/search.ejs') %>
    </header>

    <div class="wrapper">
      <div class="news">
        <% if(articles != null) { %> <% articles.forEach(function(article,
        index) { %>
        <a href="/article/<%- article.id %>" class="news__card">
          <img
            src="<%- article.thumbnail_url %>"
            alt="<%- article.title.rendered %>"
          />
          <h2><%- article.title.rendered %></h2>
          <p><%- article.excerpt.rendered %></p>
        </a>
        <% }) %> <% } else { %> No posts found. <% } %>
      </div>
    </div>
  </body>
</html>
